#unity-loading {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.35);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    transition: opacity 0.25s ease;
}

#unity-loading.hidden {
    opacity: 0;
    pointer-events: none;
}

.loader {
    width: 300px;
    text-align: center;
    font-family: sans-serif;
    color: white;
    transform: translateY(26px);
}

.loader-image {
    display: block;
    margin: 0 auto 30px auto;
    max-width: 50px;
    height: auto;
}

#unity-progress-bar {
    width: 100%;
    height: 8px;
    background: rgba(255, 255, 255, 0.25);
    border-radius: 6px;
    overflow: hidden;
    margin-bottom: 8px;
}

#unity-progress-fill {
    width: 0%;
    height: 100%;
    background: white;
    transition: width 0.2s linear;
}
